Bug 240535 - [exp-run] Allow naming output executable in GO_TARGET
Summary: [exp-run] Allow naming output executable in GO_TARGET
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D21562
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-12 12:51 UTC by Dmitri Goutnik
Modified: 2019-09-14 08:27 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
patch file (3.84 KB, patch)
2019-09-12 12:51 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (3.17 KB, patch)
2019-09-13 14:49 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-09-12 12:51:33 UTC
Created attachment 207419 [details]
patch file

- Allow GO_TARGET to be specified as a tuple in the form package:output
- Rework build/install targets

Attached is a combined patch of review D21562 and its dependency bug #240414
Comment 1 Dmitri Goutnik freebsd_committer 2019-09-13 14:49:25 UTC
Created attachment 207467 [details]
patch file

Update patch, bug #240414 was committed in r511973
Comment 2 Antoine Brodin freebsd_committer 2019-09-14 05:49:50 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2019-09-14 08:21:24 UTC
A commit references this bug:

Author: tobik
Date: Sat Sep 14 08:20:38 UTC 2019
New revision: 512001
URL: https://svnweb.freebsd.org/changeset/ports/512001

Log:
  Mk/Uses/go.mk: Allow naming output executable in GO_TARGET

  - Allow GO_TARGET to be specified as a tuple in the form package:output
  - Rework build/install targets

  PR:		240535
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D21562

Changes:
  head/Mk/Uses/go.mk
Comment 4 Tobias Kortkamp freebsd_committer 2019-09-14 08:27:31 UTC
Committed. Thanks!